/*
 * RSSBot
 * Copyright (C) 2023 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.rssbot.util

import dev.kord.common.Color

enum class EmbedColor(val color: Color) {
    ERROR(Color(0xE0311A)),
    WARNING(Color(0xFFA500)),
    SUCCESS(Color(0x52E01A)),
    INFO(Color(0x4C4645)),

    RED(Color(0xe0311a)),
    ORANGE(Color(0xe0731a)),
    YELLOW(Color(0xe0c31a)),
    GREEN(Color(0x2ee01a)),
    CYAN(Color(0x1ae0b3)),
    LIGHTBLUE(Color(0x1ab2e0)),
    BLUE(Color(0x1a35e0)),
    PURPLE(Color(0x701ae0)),
    PINK(Color(0xb51ae0)),

}
